﻿<%@ WebHandler Language="C#" Class="flag" %>

using System;
using System.Web;
using System.Collections.Generic;
using System.Text;
using System.Collections;

public class flag : IHttpHandler {

    // This handle used to display flag options
    
    private int Type = 0; // 0: video, audio, 1: comment adv points, 2: photo rating , 3: blog rating
    private long ContentID = 0;
    private string UserName = "";
    private string Message = "";
    private int MediaType = 0;
    private string ClientID = ""; //element id where you wwant to display output
    private string ContentType = "";
    
    public void ProcessRequest(HttpContext context)
    {
        context.Response.ContentType = "text/plain";
        if (context.Request.Params["t"] != null)
            this.Type = Convert.ToInt32(context.Request.Params["t"]);
        if (context.Request.Params["id"] != null)
            this.ContentID = Convert.ToInt64(context.Request.Params["id"]);
        if (context.Request.Params["usr"] != null)
            this.UserName = context.Request.Params["usr"].ToString();
        if (context.Request.Params["aid"] != null)
            this.ClientID = context.Request.Params["aid"].ToString();
        if (context.Request.Params["mtp"] != null)
            this.MediaType = Convert.ToInt32(context.Request.Params["mtp"]);
          
        if (context.Request.Params["ctp"] != null)
            this.ContentType = context.Request.Params["ctp"].ToString();
        this.Message=Generate_Output();
        context.Response.Write(this.Message);
    }

    public bool IsReusable
    {
        get
        {
            return false;
        }
    }
       

    private string Generate_Output()
    {
        //**********************************************************
        // Generate Output Panel
        //**********************************************************
        StringBuilder str = new StringBuilder();
        
        string content_type = "video";
        if (this.ContentType != "")
            content_type = this.ContentType;
        else
        {
            // backward compatible
            switch (this.Type)
            {
                case 2:
                    content_type = "photo";
                    break;
                case 3:
                    content_type = "blog post";
                    break;
            }
        }
        // show message
        str.Append("<div class=\"item_pad_2_c\" id=\"flg_msg\"></div>");
        str.Append("<div class=\"item_pad_4\" style=\"padding-bottom:5px;\"><strong>Report This " + content_type + " as Inappropriate</strong></div>");
        str.Append("<div class=\"bx_br_both\" style=\"padding:5px 0px;\"><p class=\"normal-text reverse\">Please select the category that most closely reflects your concern about the " + content_type + ", so that we can review it and determine whether it violates our Community Guidelines or isn't appropriate for all viewers. Abusing this feature is also a violation of the Community Guidelines, so don't do it.</p>");
        str.Append("<div class=\"form-inline item_pad_4_c\">");
        str.Append(Generate_Options());
        str.Append("&nbsp;<a href=\"#\" class=\"btn btn-small flag_sbt\">Flag This " + content_type + "</a>");
        // action link
        str.Append("</div></div>");
        str.Append("</div>");
        return Config.SetHiddenMessage_v2(str.ToString(), "", true, 4);

    }

    private string Generate_Options()
    {
        StringBuilder str = new StringBuilder();
        ArrayList _array = new ArrayList();
        int type = 4; // load abuse types
        CategoriesBLL.Process_Category_List_Items(_array, 0, type,true,100,"priority desc",1);
        str.Append("<select name=\"flag_list\" id=\"abuse_list\">");
        str.Append("<option value=\"\">Select a Reason</option>");
        int i=0;
        for (i=0;i<=_array.Count-1;i++)
        {
            str.Append("<option value=\"" + ((Category_Struct)_array[i]).Name + "\">" + ((Category_Struct)_array[i]).Name + "</option>");
        }
        str.Append("</select>");
        return str.ToString();
    }
   

}