﻿<%@ WebHandler Language="C#" Class="statistics" %>

using System;
using System.Web;
using System.Text;

public class statistics : IHttpHandler {

    // This handle used to load full statistics of video or audio file.
    private long VideoID = 0;
    private int Liked = 0;
    private int Disliked = 0;
    private int Comments = 0;
    private int Favorites = 0;
    private int Views = 0;
   
    private string Message = "";

    public void ProcessRequest(HttpContext context)
    {
        context.Response.ContentType = "text/plain";
        if (context.Request.Params["vid"] != null)
            this.VideoID = Convert.ToInt64(context.Request.Params["vid"]);
        if (context.Request.Params["lk"] != null)
            this.Liked = Convert.ToInt32(context.Request.Params["lk"]);
        if (context.Request.Params["dlk"] != null)
            this.Disliked = Convert.ToInt32(context.Request.Params["dlk"]);
        if (context.Request.Params["cmt"] != null)
            this.Comments = Convert.ToInt32(context.Request.Params["cmt"]);
        if (context.Request.Params["fvt"] != null)
            this.Favorites = Convert.ToInt32(context.Request.Params["fvt"]);
        if (context.Request.Params["vw"] != null)
            this.Views = Convert.ToInt32(context.Request.Params["vw"]);

       this.Message = Prepare_Output();

        context.Response.Write(this.Message);
    }

    public bool IsReusable
    {
        get
        {
            return false;
        }
    }


    private string Prepare_Output()
    {
        StringBuilder str = new StringBuilder();
        string _views = "0";
        string _today_views ="0";
        string _thismonth_views="0";
        string _thisweek_views="0";
        int view_type =1; // 0: video, audio
        if (this.Views > 0)
            _views = string.Format("{0:#,###}", this.Views);
        int today_views = ViewStatsBLL.Get_Views_Today(this.VideoID,view_type);
        int thisweek_views = ViewStatsBLL.Get_Views_ThisWeek(this.VideoID,view_type);
        int thismonth_views = ViewStatsBLL.Get_Views_ThisMonth(this.VideoID,view_type);
        if(today_views>0)
            _today_views = string.Format("{0:#,###}", today_views);
        if(thisweek_views>0)
            _thisweek_views =  string.Format("{0:#,###}", thisweek_views);
        if(thismonth_views>0)
              _thismonth_views =  string.Format("{0:#,###}", thismonth_views);
        int ratings = this.Liked + this.Disliked;
        string _comments = "0";
        if (this.Comments>0)
            _comments = string.Format("{0:#,###}", this.Comments);
        string _favorites = "0";
        if(this.Favorites>0)
            _favorites = string.Format("{0:#,###}", this.Favorites);
        str.Append("<div class=\"pd_10\">\n");
        str.Append("<br /><strong>Total Views: " + _views + "</strong><br /><br />");
        str.Append("<span class=\"normal-text reverse\">Today Views: " + _today_views + "<br />");
        str.Append("This Week Views: " + _thisweek_views + "<br />");
        str.Append("This Month Views: " + _thismonth_views + "</span><br /><br />");
        str.Append("<table><tr>");
        str.Append("<td style=\"padding:5px; text-align:left; vertical-align:top; width:34%;\">");
        str.Append("<div class=\"item_pad_4\"><strong>Ratings: " + ratings + "</strong></div>");
        str.Append("<div class=\"item_pad_2\">Likes: " + this.Liked + "</div>");
        str.Append("<div class=\"item_pad_2\">Disliked: " + this.Disliked + "</div>");
        str.Append("</td>");
        str.Append("<td style=\"padding:5px; text-align:left; vertical-align:top; width:33%;\">");
        str.Append("<div class=\"item_pad_4\"><strong>Comments: " + _comments + "</strong></div>");
        str.Append("</td>");
        str.Append("<td style=\"padding:5px; text-align:left; vertical-align:top; width:33%;\">");
        str.Append("<div class=\"item_pad_4\"><strong>Favorites: " + _favorites + "</strong></div>");
        str.Append("</td>");
        str.Append("</tr></table>");
        str.Append("</div>");
        return Config.SetHiddenMessage_v2(str.ToString(), "actionshare", true, 4);
    }
}